<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::bluetoothImplementations::blueZ::test Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations.html">bluetoothImplementations</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html">blueZ</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::bluetoothImplementations::blueZ::test Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html">BlueZAVRCPTargetTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_d_bus_proxy.html">MockDBusProxy</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_listener.html">MockListener</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A mock listener for the <code>BluetoothEventBus</code>.  <a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_listener.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_supported_a_v_r_c_p_test.html">MPRISPlayerSupportedAVRCPTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameterized test fixture for supported org.mpris.MediaPlayer2.Player DBus AVRCP Methods.  <a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_supported_a_v_r_c_p_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_test.html">MPRISPlayerTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_unsupported_test.html">MPRISPlayerUnsupportedTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameterized test fixture for unsupported DBus AVRCP Methods.  <a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_unsupported_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aeca8cec863d366c8602b989316b174dc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#aeca8cec863d366c8602b989316b174dc">TEST</a> (BlueZA2DPSinkTest, test_createSucceeds)</td></tr>
<tr class="memdesc:aeca8cec863d366c8602b989316b174dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that a valid object is returned.  <a href="#aeca8cec863d366c8602b989316b174dc">More...</a><br /></td></tr>
<tr class="separator:aeca8cec863d366c8602b989316b174dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5aa31cd07736619917581e9a3ae892e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#ae5aa31cd07736619917581e9a3ae892e">TEST</a> (BlueZA2DPSinkTest, test_checkSDPRecord)</td></tr>
<tr class="memdesc:ae5aa31cd07736619917581e9a3ae892e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test the correct SDP record is returned.  <a href="#ae5aa31cd07736619917581e9a3ae892e">More...</a><br /></td></tr>
<tr class="separator:ae5aa31cd07736619917581e9a3ae892e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7e15f6273ed8b529e019193ea2b80b1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#aa7e15f6273ed8b529e019193ea2b80b1">TEST</a> (BlueZAVRCPControllerTest, test_createSucceeds)</td></tr>
<tr class="memdesc:aa7e15f6273ed8b529e019193ea2b80b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that a valid object is returned.  <a href="#aa7e15f6273ed8b529e019193ea2b80b1">More...</a><br /></td></tr>
<tr class="separator:aa7e15f6273ed8b529e019193ea2b80b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5803901b675023f49cdff85c43f3e3c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#ac5803901b675023f49cdff85c43f3e3c">TEST</a> (BlueZAVRCPControllerTest, test_checkSDPRecord)</td></tr>
<tr class="memdesc:ac5803901b675023f49cdff85c43f3e3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test the correct SDP record is returned.  <a href="#ac5803901b675023f49cdff85c43f3e3c">More...</a><br /></td></tr>
<tr class="separator:ac5803901b675023f49cdff85c43f3e3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aada911f276c1e2e4cfb3f2afb52037ac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#aada911f276c1e2e4cfb3f2afb52037ac">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html">BlueZAVRCPTargetTest</a>, test_createNullFails)</td></tr>
<tr class="memdesc:aada911f276c1e2e4cfb3f2afb52037ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test create() with a null proxy. Should return nullptr.  <a href="#aada911f276c1e2e4cfb3f2afb52037ac">More...</a><br /></td></tr>
<tr class="separator:aada911f276c1e2e4cfb3f2afb52037ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a653e4e89c36900a4199c213aae95418c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a653e4e89c36900a4199c213aae95418c">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html">BlueZAVRCPTargetTest</a>, test_createSucceeds)</td></tr>
<tr class="memdesc:a653e4e89c36900a4199c213aae95418c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test create() and expect success.  <a href="#a653e4e89c36900a4199c213aae95418c">More...</a><br /></td></tr>
<tr class="separator:a653e4e89c36900a4199c213aae95418c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c3d3784cbd3e872e12a4b026d90d8e2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a0c3d3784cbd3e872e12a4b026d90d8e2">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html">BlueZAVRCPTargetTest</a>, test_playSuceeds)</td></tr>
<tr class="memdesc:a0c3d3784cbd3e872e12a4b026d90d8e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that play() calls the correct method.  <a href="#a0c3d3784cbd3e872e12a4b026d90d8e2">More...</a><br /></td></tr>
<tr class="separator:a0c3d3784cbd3e872e12a4b026d90d8e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02af6b51162a43aa5bbfc5d1aa1d633a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a02af6b51162a43aa5bbfc5d1aa1d633a">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html">BlueZAVRCPTargetTest</a>, test_pauseSuceeds)</td></tr>
<tr class="memdesc:a02af6b51162a43aa5bbfc5d1aa1d633a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that pause() calls the correct method.  <a href="#a02af6b51162a43aa5bbfc5d1aa1d633a">More...</a><br /></td></tr>
<tr class="separator:a02af6b51162a43aa5bbfc5d1aa1d633a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aaba0e9c9cfa5468194126f6d34f35b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a8aaba0e9c9cfa5468194126f6d34f35b">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html">BlueZAVRCPTargetTest</a>, test_nextSuceeds)</td></tr>
<tr class="memdesc:a8aaba0e9c9cfa5468194126f6d34f35b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that next() calls the correct method.  <a href="#a8aaba0e9c9cfa5468194126f6d34f35b">More...</a><br /></td></tr>
<tr class="separator:a8aaba0e9c9cfa5468194126f6d34f35b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05929ff7749f3cc670b5faa8823a1ee7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a05929ff7749f3cc670b5faa8823a1ee7">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html">BlueZAVRCPTargetTest</a>, test_previousSuceeds)</td></tr>
<tr class="memdesc:a05929ff7749f3cc670b5faa8823a1ee7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that previous() calls the correct method.  <a href="#a05929ff7749f3cc670b5faa8823a1ee7">More...</a><br /></td></tr>
<tr class="separator:a05929ff7749f3cc670b5faa8823a1ee7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af178a93ae2ad92d894ea619f63925ae7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#af178a93ae2ad92d894ea619f63925ae7">onNameAcquired</a> (GDBusConnection *connection, const gchar *name, gpointer user_data)</td></tr>
<tr class="memdesc:af178a93ae2ad92d894ea619f63925ae7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback passed to GDBus for when a bus name is acquired.  <a href="#af178a93ae2ad92d894ea619f63925ae7">More...</a><br /></td></tr>
<tr class="separator:af178a93ae2ad92d894ea619f63925ae7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad84bdbb5fcf9445d5d029f40bd3c62c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#aad84bdbb5fcf9445d5d029f40bd3c62c">onNameLost</a> (GDBusConnection *connection, const gchar *name, gpointer user_data)</td></tr>
<tr class="memdesc:aad84bdbb5fcf9445d5d029f40bd3c62c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback passed to GDBus for when a bus name is lost.  <a href="#aad84bdbb5fcf9445d5d029f40bd3c62c">More...</a><br /></td></tr>
<tr class="separator:aad84bdbb5fcf9445d5d029f40bd3c62c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94dc85ac03c0d6e06543c8809469a043"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a94dc85ac03c0d6e06543c8809469a043">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_test.html">MPRISPlayerTest</a>, test_createSucceeds)</td></tr>
<tr class="memdesc:a94dc85ac03c0d6e06543c8809469a043"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that the happy create() case succeeds.  <a href="#a94dc85ac03c0d6e06543c8809469a043">More...</a><br /></td></tr>
<tr class="separator:a94dc85ac03c0d6e06543c8809469a043"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ea88b642c9ffc4154e69746768bd58d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a0ea88b642c9ffc4154e69746768bd58d">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_test.html">MPRISPlayerTest</a>, test_createWithNullFails)</td></tr>
<tr class="memdesc:a0ea88b642c9ffc4154e69746768bd58d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that missing parameters result in a nullptr.  <a href="#a0ea88b642c9ffc4154e69746768bd58d">More...</a><br /></td></tr>
<tr class="separator:a0ea88b642c9ffc4154e69746768bd58d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afba4888a78ac08549aa8cc2a86827498"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#afba4888a78ac08549aa8cc2a86827498">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_test.html">MPRISPlayerTest</a>, test_playerRegistration)</td></tr>
<tr class="memdesc:afba4888a78ac08549aa8cc2a86827498"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that the <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_m_p_r_i_s_player.html">MPRISPlayer</a> properly registers and unregisters throughout its life time.  <a href="#afba4888a78ac08549aa8cc2a86827498">More...</a><br /></td></tr>
<tr class="separator:afba4888a78ac08549aa8cc2a86827498"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb35728da2f0810873f27e21a92e2a1a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#adb35728da2f0810873f27e21a92e2a1a">INSTANTIATE_TEST_CASE_P</a> (Parameterized, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_supported_a_v_r_c_p_test.html">MPRISPlayerSupportedAVRCPTest</a>, ::testing::Values(std::make_pair&lt; std::string, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services.html#a36a581a9e101d1b1b803a44898a17313">AVRCPCommand</a> &gt;(&quot;Play&quot;, AVRCPCommand::PLAY), std::make_pair&lt; std::string, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services.html#a36a581a9e101d1b1b803a44898a17313">AVRCPCommand</a> &gt;(&quot;Pause&quot;, AVRCPCommand::PAUSE), std::make_pair&lt; std::string, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services.html#a36a581a9e101d1b1b803a44898a17313">AVRCPCommand</a> &gt;(&quot;Next&quot;, AVRCPCommand::NEXT), std::make_pair&lt; std::string, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services.html#a36a581a9e101d1b1b803a44898a17313">AVRCPCommand</a> &gt;(&quot;Previous&quot;, AVRCPCommand::PREVIOUS)), [](testing::TestParamInfo&lt; std::pair&lt; std::string, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services.html#a36a581a9e101d1b1b803a44898a17313">AVRCPCommand</a> &gt;&gt; info) { return info.param.first;})</td></tr>
<tr class="separator:adb35728da2f0810873f27e21a92e2a1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8732d88e77e3efc765d0bec68e9fb58"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#ad8732d88e77e3efc765d0bec68e9fb58">MATCHER_P</a> (ContainsAVRCPCommand, cmd, &quot;&quot;)</td></tr>
<tr class="separator:ad8732d88e77e3efc765d0bec68e9fb58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4aa6ffe2b47691b5fb7299c9bd47ce9c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a4aa6ffe2b47691b5fb7299c9bd47ce9c">TEST_P</a> (<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_supported_a_v_r_c_p_test.html">MPRISPlayerSupportedAVRCPTest</a>, test_avrcpCommand)</td></tr>
<tr class="memdesc:a4aa6ffe2b47691b5fb7299c9bd47ce9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that a supported DBus method sends the correct corresponding AVRCPCommand.  <a href="#a4aa6ffe2b47691b5fb7299c9bd47ce9c">More...</a><br /></td></tr>
<tr class="separator:a4aa6ffe2b47691b5fb7299c9bd47ce9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9016c704a273b4c58dcad3b2ecc77af4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a9016c704a273b4c58dcad3b2ecc77af4">INSTANTIATE_TEST_CASE_P</a> (Parameterized, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_unsupported_test.html">MPRISPlayerUnsupportedTest</a>, ::testing::Values(&quot;PlayPause&quot;, &quot;Stop&quot;, &quot;Seek&quot;, &quot;SetPosition&quot;, &quot;OpenUri&quot;), [](testing::TestParamInfo&lt; std::string &gt; info) { return info.param;})</td></tr>
<tr class="separator:a9016c704a273b4c58dcad3b2ecc77af4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5a9dc02b3581ec142dfddd5895ba9e7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#aa5a9dc02b3581ec142dfddd5895ba9e7">TEST_P</a> (<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_unsupported_test.html">MPRISPlayerUnsupportedTest</a>, test_unsupportedMethod)</td></tr>
<tr class="memdesc:aa5a9dc02b3581ec142dfddd5895ba9e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that unsupported DBus methods do not send any Bluetooth events.  <a href="#aa5a9dc02b3581ec142dfddd5895ba9e7">More...</a><br /></td></tr>
<tr class="separator:aa5a9dc02b3581ec142dfddd5895ba9e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a28f735231dac846c9fa9d63131e90bef"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_connection.html">DBusConnection</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a28f735231dac846c9fa9d63131e90bef">g_connection</a> = <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_connection.html#a144bc6068d845d731412dce7123f2380">DBusConnection::create</a>(G_BUS_TYPE_SESSION)</td></tr>
<tr class="separator:a28f735231dac846c9fa9d63131e90bef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d15a1c559f689776cf0dd12009012e6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a7d15a1c559f689776cf0dd12009012e6">UNIQUE_BUS</a> = &quot;org.avscppsdk.test.unique&quot;</td></tr>
<tr class="memdesc:a7d15a1c559f689776cf0dd12009012e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unique bus name to allow DBus method invocations.  <a href="#a7d15a1c559f689776cf0dd12009012e6">More...</a><br /></td></tr>
<tr class="separator:a7d15a1c559f689776cf0dd12009012e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a620f75fc9032a3ba45bbf6d1a58b827d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a620f75fc9032a3ba45bbf6d1a58b827d">MPRIS_PLAYER_INTERFACE</a> = &quot;org.mpris.MediaPlayer2.Player&quot;</td></tr>
<tr class="memdesc:a620f75fc9032a3ba45bbf6d1a58b827d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The interface name.  <a href="#a620f75fc9032a3ba45bbf6d1a58b827d">More...</a><br /></td></tr>
<tr class="separator:a620f75fc9032a3ba45bbf6d1a58b827d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="adb35728da2f0810873f27e21a92e2a1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb35728da2f0810873f27e21a92e2a1a">&#9670;&nbsp;</a></span>INSTANTIATE_TEST_CASE_P() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::INSTANTIATE_TEST_CASE_P </td>
          <td>(</td>
          <td class="paramtype">Parameterized&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_supported_a_v_r_c_p_test.html">MPRISPlayerSupportedAVRCPTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">::testing::Values(std::make_pair&lt; std::string, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services.html#a36a581a9e101d1b1b803a44898a17313">AVRCPCommand</a> &gt;(&quot;Play&quot;, AVRCPCommand::PLAY), std::make_pair&lt; std::string, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services.html#a36a581a9e101d1b1b803a44898a17313">AVRCPCommand</a> &gt;(&quot;Pause&quot;, AVRCPCommand::PAUSE), std::make_pair&lt; std::string, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services.html#a36a581a9e101d1b1b803a44898a17313">AVRCPCommand</a> &gt;(&quot;Next&quot;, AVRCPCommand::NEXT), std::make_pair&lt; std::string, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services.html#a36a581a9e101d1b1b803a44898a17313">AVRCPCommand</a> &gt;(&quot;Previous&quot;, AVRCPCommand::PREVIOUS))&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">[] (testing::TestParamInfo&lt; std::pair&lt; std::string, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services.html#a36a581a9e101d1b1b803a44898a17313">AVRCPCommand</a> &gt;&gt; info) { return info.param.first;}&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9016c704a273b4c58dcad3b2ecc77af4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9016c704a273b4c58dcad3b2ecc77af4">&#9670;&nbsp;</a></span>INSTANTIATE_TEST_CASE_P() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::INSTANTIATE_TEST_CASE_P </td>
          <td>(</td>
          <td class="paramtype">Parameterized&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_unsupported_test.html">MPRISPlayerUnsupportedTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">::testing::Values(&quot;PlayPause&quot;, &quot;Stop&quot;, &quot;Seek&quot;, &quot;SetPosition&quot;, &quot;OpenUri&quot;)&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">[] (testing::TestParamInfo&lt; std::string &gt; info) { return info.param;}&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad8732d88e77e3efc765d0bec68e9fb58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8732d88e77e3efc765d0bec68e9fb58">&#9670;&nbsp;</a></span>MATCHER_P()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::MATCHER_P </td>
          <td>(</td>
          <td class="paramtype">ContainsAVRCPCommand&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">cmd&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Custom matcher for AVRCPCommand expectations. This matcher is only used for <code>BluetoothEvent</code> objects.</p>
<p class="">Returns true if the event is of type <code>AVRCP_COMMAND_RECEIVED</code> and contains the expected <code>AVRCPCommand</code>. </p>

</div>
</div>
<a id="af178a93ae2ad92d894ea619f63925ae7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af178a93ae2ad92d894ea619f63925ae7">&#9670;&nbsp;</a></span>onNameAcquired()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void alexaClientSDK::bluetoothImplementations::blueZ::test::onNameAcquired </td>
          <td>(</td>
          <td class="paramtype">GDBusConnection *&#160;</td>
          <td class="paramname"><em>connection</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const gchar *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gpointer&#160;</td>
          <td class="paramname"><em>user_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Callback passed to GDBus for when a bus name is acquired. </p>

</div>
</div>
<a id="aad84bdbb5fcf9445d5d029f40bd3c62c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad84bdbb5fcf9445d5d029f40bd3c62c">&#9670;&nbsp;</a></span>onNameLost()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void alexaClientSDK::bluetoothImplementations::blueZ::test::onNameLost </td>
          <td>(</td>
          <td class="paramtype">GDBusConnection *&#160;</td>
          <td class="paramname"><em>connection</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const gchar *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gpointer&#160;</td>
          <td class="paramname"><em>user_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Callback passed to GDBus for when a bus name is lost. </p>

</div>
</div>
<a id="aeca8cec863d366c8602b989316b174dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeca8cec863d366c8602b989316b174dc">&#9670;&nbsp;</a></span>TEST() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST </td>
          <td>(</td>
          <td class="paramtype">BlueZA2DPSinkTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_createSucceeds&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that a valid object is returned. </p>

</div>
</div>
<a id="aa7e15f6273ed8b529e019193ea2b80b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7e15f6273ed8b529e019193ea2b80b1">&#9670;&nbsp;</a></span>TEST() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST </td>
          <td>(</td>
          <td class="paramtype">BlueZAVRCPControllerTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_createSucceeds&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that a valid object is returned. </p>

</div>
</div>
<a id="ac5803901b675023f49cdff85c43f3e3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5803901b675023f49cdff85c43f3e3c">&#9670;&nbsp;</a></span>TEST() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST </td>
          <td>(</td>
          <td class="paramtype">BlueZAVRCPControllerTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_checkSDPRecord&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test the correct SDP record is returned. </p>

</div>
</div>
<a id="ae5aa31cd07736619917581e9a3ae892e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5aa31cd07736619917581e9a3ae892e">&#9670;&nbsp;</a></span>TEST() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST </td>
          <td>(</td>
          <td class="paramtype">BlueZA2DPSinkTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_checkSDPRecord&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test the correct SDP record is returned. </p>

</div>
</div>
<a id="aada911f276c1e2e4cfb3f2afb52037ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aada911f276c1e2e4cfb3f2afb52037ac">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[1/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html">BlueZAVRCPTargetTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_createNullFails&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test create() with a null proxy. Should return nullptr. </p>

</div>
</div>
<a id="a653e4e89c36900a4199c213aae95418c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a653e4e89c36900a4199c213aae95418c">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[2/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html">BlueZAVRCPTargetTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_createSucceeds&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test create() and expect success. </p>

</div>
</div>
<a id="a0c3d3784cbd3e872e12a4b026d90d8e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c3d3784cbd3e872e12a4b026d90d8e2">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[3/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html">BlueZAVRCPTargetTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_playSuceeds&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that play() calls the correct method. </p>

</div>
</div>
<a id="a02af6b51162a43aa5bbfc5d1aa1d633a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02af6b51162a43aa5bbfc5d1aa1d633a">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[4/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html">BlueZAVRCPTargetTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_pauseSuceeds&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that pause() calls the correct method. </p>

</div>
</div>
<a id="a8aaba0e9c9cfa5468194126f6d34f35b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8aaba0e9c9cfa5468194126f6d34f35b">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[5/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html">BlueZAVRCPTargetTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_nextSuceeds&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that next() calls the correct method. </p>

</div>
</div>
<a id="a05929ff7749f3cc670b5faa8823a1ee7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05929ff7749f3cc670b5faa8823a1ee7">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[6/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html">BlueZAVRCPTargetTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_previousSuceeds&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that previous() calls the correct method. </p>

</div>
</div>
<a id="a94dc85ac03c0d6e06543c8809469a043"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94dc85ac03c0d6e06543c8809469a043">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[7/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_test.html">MPRISPlayerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_createSucceeds&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that the happy create() case succeeds. </p>

</div>
</div>
<a id="a0ea88b642c9ffc4154e69746768bd58d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ea88b642c9ffc4154e69746768bd58d">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[8/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_test.html">MPRISPlayerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_createWithNullFails&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Tests that missing parameters result in a nullptr. </p>

</div>
</div>
<a id="afba4888a78ac08549aa8cc2a86827498"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afba4888a78ac08549aa8cc2a86827498">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[9/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_test.html">MPRISPlayerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_playerRegistration&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Tests that the <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_m_p_r_i_s_player.html">MPRISPlayer</a> properly registers and unregisters throughout its life time. </p>

</div>
</div>
<a id="a4aa6ffe2b47691b5fb7299c9bd47ce9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4aa6ffe2b47691b5fb7299c9bd47ce9c">&#9670;&nbsp;</a></span>TEST_P() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_P </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_supported_a_v_r_c_p_test.html">MPRISPlayerSupportedAVRCPTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_avrcpCommand&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that a supported DBus method sends the correct corresponding AVRCPCommand. </p>

</div>
</div>
<a id="aa5a9dc02b3581ec142dfddd5895ba9e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5a9dc02b3581ec142dfddd5895ba9e7">&#9670;&nbsp;</a></span>TEST_P() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_P </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_unsupported_test.html">MPRISPlayerUnsupportedTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_unsupportedMethod&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that unsupported DBus methods do not send any Bluetooth events. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a28f735231dac846c9fa9d63131e90bef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28f735231dac846c9fa9d63131e90bef">&#9670;&nbsp;</a></span>g_connection</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_connection.html">DBusConnection</a>&gt; alexaClientSDK::bluetoothImplementations::blueZ::test::g_connection = <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_connection.html#a144bc6068d845d731412dce7123f2380">DBusConnection::create</a>(G_BUS_TYPE_SESSION)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">The global dbus connection object for the tests.</p>
<p class="">The connection object is global because the bus name was being lost when we try to create/destroy temporary connection instances for each test case.</p>
<p class=""><code>G_BUS_TYPE_SESSION</code> is being used because <code>G_BUS_TYPE_SYSTEM</code> has stricter permissions. </p>

</div>
</div>
<a id="a620f75fc9032a3ba45bbf6d1a58b827d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a620f75fc9032a3ba45bbf6d1a58b827d">&#9670;&nbsp;</a></span>MPRIS_PLAYER_INTERFACE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::bluetoothImplementations::blueZ::test::MPRIS_PLAYER_INTERFACE = &quot;org.mpris.MediaPlayer2.Player&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The interface name. </p>

</div>
</div>
<a id="a7d15a1c559f689776cf0dd12009012e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d15a1c559f689776cf0dd12009012e6">&#9670;&nbsp;</a></span>UNIQUE_BUS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::bluetoothImplementations::blueZ::test::UNIQUE_BUS = &quot;org.avscppsdk.test.unique&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Unique bus name to allow DBus method invocations. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
